﻿using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

namespace MTWorkHR.Application.Models
{
    public class UserUpdateDto
    {
        public string? Id { get; set; }
        public string? ManagerId { get; set; }
        public long? DepartmentId { get; set; }
        public long? BranchId { get; set; }

        [Required(ErrorMessage = "User Name is required")]
        public string UserName { get; set; }

        [Required(ErrorMessage = "Email is required")]
        public string Email { get; set; }
        public string FullName { get; set; }
        public string PhoneNumber { get; set; }
        public bool IsSalesman { get; set; }
        public IList<UserRoleDto>? UserRoles { get; set; }
    }
}
