﻿using MTWorkHR.Core.Global;

namespace MTWorkHR.Application.Models
{
    public class UserTaskDto : EntityDto
    {
        public long AssignedUserId { get; set; }
        public string? AssignedUserName { get; set; }

        public string Title { get; set; }
        public string Description { get; set; }
        public DateTime DueDate { get; set; }
        public PriorityEnum Priority { get; set; }
        public int ProjectId { get; set; }

        public long StatusId { get; set; }
        public List<AttachmentDto> TaskAttachments { get; set; }
        public List<UserTaskHistoryDto> UserTaskHistories { get; set; }

    }
}
