﻿using Microsoft.AspNetCore.Http;
using MTWorkHR.Core.Entities;
using MTWorkHR.Core.Entities.Base;
using MTWorkHR.Core.Global;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace MTWorkHR.Application.Models
{
    public class UserTaskHistoryDto : EntityDto
    {
        public long AssignedToUserId { get; set; }
        [MaxLength(500)]
        public string? Comment { get; set; }

        public long TaskId { get; set; }

        public long CurrentStatusId { get; set; }

        public bool IsDeleted { get; set; }

    }
}
