﻿using System.ComponentModel.DataAnnotations.Schema;

namespace MTWorkHR.Core.Entities.Base
{
    public interface IAuditEntity : IEntity, IAudit
    {
        
    }
    public interface IAuditEntity<TKey> : IEntity<TKey>, IAudit
    {

    }


    public interface IAudit
    {
        [Column(Order = 1)]
        string? CreateUser { get; set; }
        [Column(Order = 2)]
        string? UpdateUser { get; set; }
        [Column(Order = 3)]
        DateTime CreateDate { get; set; }
        [Column(Order = 4)]
        DateTime? UpdateDate { get; set; }
    }
}
