﻿using MTWorkHR.Core.Entities.Base;
using System;

namespace MTWorkHR.Core.Entities
{
    public class Log:Entity
    {
        public Log()
        {
        }

		public Log(string Method
			, string QueryString
			, string Input
			, DateTime CreateDate
			, string CreateUser
			, string ServerIP
			, string Channel
			, string UserIP
			, string ServiceResponseTimeInSeconds
			, string ErrorCode
			, string ErrorDescription
			, string InnerException)
		{
			this.Method = Method;
			this.QueryString = QueryString;
			this.Input = Input;
			this.CreateDate = CreateDate;
			this.CreateUser = CreateUser;
			this.ServerIP = ServerIP;
			this.Channel = Channel;
			this.UserIP = UserIP;
			this.ServiceResponseTimeInSeconds = ServiceResponseTimeInSeconds;
			this.ErrorCode = ErrorCode;
			this.ErrorDescription = ErrorDescription;
			this.InnerException = InnerException;
		}

		public Log(string Method
            , string QueryString
            , string Input
            , DateTime CreateDate
            , string CreateUser
            , string ServerIP
            , string Channel
            , string UserIP
            , string ServiceResponseTimeInSeconds
            , string ErrorCode
            , string ErrorDescription
            , string InnerException
            ,string userAgent)
        {
            this.Method = Method;
            this.QueryString = QueryString;
            this.Input = Input;
            this.CreateDate = CreateDate;
            this.CreateUser = CreateUser;
            this.ServerIP = ServerIP;
            this.Channel = Channel;
            this.UserIP = UserIP;
            this.ServiceResponseTimeInSeconds = ServiceResponseTimeInSeconds;
            this.ErrorCode = ErrorCode;
            this.ErrorDescription = ErrorDescription;
            this.InnerException = InnerException;
            this.userAgent = userAgent;
        }
        public string Method { get; set; }
        public string? QueryString { get; set; }
        public string? Input { get; set; }
        public DateTime CreateDate { get; set; }
        public string CreateUser { get; set; }
        public string? ServerIP { get; set; }
        public string? Channel { get; set; }
        public string? UserIP { get; set; }
        public string ServiceResponseTimeInSeconds { get; set; }
        public string ErrorCode { get; set; }
        public string ErrorDescription { get; set; }
        public string? InnerException { get; set; }
        public string? userAgent { get; set; }
    }
}
