﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using MTWorkHR.Core.Entities.Base;

namespace MTWorkHR.Core.Entities
{
    public class TeamUser : AuditEntity
    {

        public long TeamId{ get; set; }
        [ForeignKey("TeamId")]
        public Team? Team { get; set; }
        [Required]
        public string AssignedUserId { get; set; }
        public bool IsAdmin { get; set; }

    }
}
