﻿using Microsoft.AspNetCore.Identity;

namespace MTWorkHR.Infrastructure.Entities
{
    public class ApplicationRole : IdentityRole
    {
        public ApplicationRole() : base()
        {

        }

        public string? CreateUser { get; set; }
        public string? UpdateUser { get; set; }
        public DateTime CreateDate { get; set; }
        public DateTime? UpdateDate { get; set; }
        public bool IsDeleted { get; set; }
        public string? DeleteUserId { get; set; }
        public bool? IsAdmin { get; set; }
        public ICollection<ApplicationUser> Users { get; set; }

        public ICollection<RolePermission> RolePermissions { get; set; }
    }
}
