﻿using MTWorkHR.Core.Entities.Base;
using System.ComponentModel.DataAnnotations.Schema;
using System.ComponentModel.DataAnnotations;

namespace MTWorkHR.Infrastructure.Entities
{
    public class UserAddress : AuditEntity
    {
        public string UserId { get; set; }

        [ForeignKey("UserId")]
        public ApplicationUser User { get; set; }

        public int CountryId { get; set; }
        public string City{ get; set; }
        public string PostalCode { get; set; }
        public string AddressDesc{ get; set; }
    }
}
