﻿using MTWorkHR.Core.Entities.Base;
using System.ComponentModel.DataAnnotations.Schema;
using System.ComponentModel.DataAnnotations;

namespace MTWorkHR.Infrastructure.Entities
{
    public class UserAttachment : AuditEntity
    {
        public string UserId { get; set; }

        [ForeignKey("UserId")]
        public ApplicationUser User { get; set; }
        public long AttachmentTypeId { get; set; }

        [ForeignKey("AttachmentTypeId")]
        public AttachmentType AttachmentType { get; set; }

        [MaxLength(250)]
        public string FileName { get; set; }

        [MaxLength(250)]
        public string OriginalName { get; set; }
    }
}
