﻿using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

namespace MTWorkHR.Application.Models
{
    public class RoleDto
    {
        public string? Id { get; set; }

        [Required(ErrorMessage = "Name is required")]
        public string Name { get; set; }
        public bool? IsAdmin { get; set; }

        public IList<RolePermissionDto>? RolePermissions { get; set; }
    }
}
