﻿using MTWorkHR.Core.Entities.Base;
using MTWorkHR.Core.Global;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MTWorkHR.Core.Entities
{
    public class UserTaskHistory : AuditEntity
    {
        public long AssignedToUserId { get; set; }
        [MaxLength(500)]
        public string? Comment { get; set; }
        public long TaskId { get; set; }

        public long CurrentStatusId { get; set; }

        [ForeignKey("CurrentStatusId")]
        public UserTaskStatus? TaskStatus { get; set; }
        public bool IsDeleted { get; set; } = false;

    }
}
