﻿
using MTWorkHR.Core.Entities;
using MTWorkHR.Core.IRepositories.Base;


namespace MTWorkHR.Core.UnitOfWork
{
    public interface IUnitOfWorkLog
    {

        IRepositoryLog<UserLog> UserLog { get; }

        IRepositoryLog<AuthLog> AuthLog { get; }
        IRepositoryLog<FileLog> FileLog { get; }
        IRepositoryLog<RoleLog> RoleLog { get; }
        IRepositoryLog<UserTaskLog> UserTaskLog { get; }


		Task<int> CompleteAsync();

        object GetRepositoryByName(string name);
    }
}
