﻿using Microsoft.AspNetCore.Identity;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using MTWorkHR.Infrastructure.Entities;
using MTWorkHR.Core.Entities.Base;

namespace MTWorkHR.Infrastructure.Configurations
{
    public class AttachmentTypeConfiguration : IEntityTypeConfiguration<AttachmentType>
    {
        
        public void Configure(EntityTypeBuilder<AttachmentType> builder)
        {
            
            builder.HasData(
                new AttachmentType
                {
                    Id = 1,
                    NameEn = "CV",
                    NameAr = "السيرة الذاتية"
                },
                new AttachmentType
                {
                Id = 2,
                    NameEn = "Identification",
                    NameAr = "الهوية"
                }
               ) ;
        }
    }
}