﻿using Microsoft.AspNetCore.Identity;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;


namespace MTWorkHR.Infrastructure.Configurations
{
    public class UserRoleConfiguration : IEntityTypeConfiguration<IdentityUserRole<string>>
    {
        public void Configure(EntityTypeBuilder<IdentityUserRole<string>> builder)
        {
            builder.HasData(
                new IdentityUserRole<string>
                {
                    RoleId = "AD5B3B92-2311-48F8-9DEC-F9FAEF1F211A",
                    UserId = "ADMB3B92-2311-48F8-9DEC-F9FAEF1F21UA"
                },
                new IdentityUserRole<string>
                {
                    RoleId = "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E",
                    UserId = "AL5B3B92-2311-48F8-9DEC-F9FAEF1F21UB"
                }


                );
        }
    }
}
